Bug 495615 - Update rhn_register to properly parse the dmi information on for registration on a kvm host
Update rhn_register to properly parse the dmi information on for registration...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
5.3
All Linux
high Severity urgent
: rc
: ---
Assigned To: Pradeep Kilambi
Red Hat Satellite QA List
: FutureFeature
Depends On: 495612 501787
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-13 23:25 EDT by Daniel Riek
Modified: 2009-09-02 07:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:20:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Riek 2009-04-13 23:25:44 EDT
Expand the parsing of dmi information to identify the virtualization host to support KVM.

See bug 495612 for the kvm side.
Comment 1 Todd Sanders 2009-04-29 16:45:35 EDT
Daniel - Can you explain this further?  What doe you mean by identify the KVM Host?  Did you mean KVM "guest"?

-Todd
Comment 11 Petr Sklenar 2009-06-29 08:00:24 EDT
hello,
my tests environment:

1. Serve, Domain-0
dhcp-lab-159.englab.brq.redhat.com
- rhn_register to rhn.webqa
- XEN hypervizor
- it's Domain-0


2. xen20.englab.brq.redhat.com, Domain-U
- xen20 is created on dhcp-lab-159.englab.brq.redhat.com
- rhn_register to rhn_webqa
- it's Domain-U

3. Details for dhcp-lab-159.englab.brq.redhat.com on rhn.webqa.r.c but there isn't info about its domain-1 xen20

---
should I use only KVM virtualization or XEN hypervizor?
Is rhn.webqa.r.c supported for it?
Comment 17 errata-xmlrpc 2009-09-02 07:20:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1354.html

Note You need to log in before you can comment on or make changes to this bug.